#ifndef _Polymorfi_
	#define _Polymorfi_
	#include <iostream>
	#include <conio.h>
	using namespace std;

class Figur {
	float  X, Y;
public:
	Figur()  { }
	Figur( float NyX, float NyY ) { X = NyX; Y = NyY; }
	virtual void Draw()  { }
};


class Kvadrat : virtual public Figur {
	float  Side;
public:
	Kvadrat( float NyX, float NyY, float NySide )
    {	Figur( NyX, NyY ); Side = NySide; }
	void Draw()
    {	cout << "Kvadrat Side : " << Side << endl; }
};


class Cirkel : virtual public Figur {
	float  Radius;
public:
	Cirkel( float NyX, float NyY, float NyRadius )
    {	Figur( NyX, NyY ); Radius = NyRadius; }
	void Draw()
    {	cout << "Cirkel Radius : " << Radius << endl; }
};


class Trekant : virtual public Figur {
	float  S1, S2, S3;
public:
	Trekant( float NyX, float NyY, float NyS1, float NyS2, float NyS3 )
    { Figur( NyX, NyY ); S1 = NyS1; S2 = NyS2; S3 = NyS3; }
	void Draw()
    {	cout << "Trekant Side1 : " << S1 << endl;
		cout << "Trekant Side2 : " << S2 << endl;
		cout << "Trekant Side3 : " << S3 << endl;
    }
};

#endif